<?php
/**
 * Show header notification in dashboard
 *
 * @package wpdbbkp
 */

if (!defined('ABSPATH')) {
	exit;
} // Exit if accessed directly
$loader_gif = esc_url(WPDB_PLUGIN_URL) . "/assets/images/icon_loading.gif";
$success_png = esc_url(WPDB_PLUGIN_URL) . "/assets/images/success.png";
$wpdbbkp_bg_notify = get_option('wpdbbkp_dashboard_notify',false);
if (true === isset($_GET['notification']) && true === isset($_GET['_wpnonce']) && wp_verify_nonce(sanitize_text_field(wp_unslash($_GET['_wpnonce'])), 'wp-database-backup') || $wpdbbkp_bg_notify) { ?>

	<div class="text-center wpdbbkp_notification"><img width="50" height="50" src="<?php echo $success_png; ?>">
		<h4 class="text-success"><?php if ('create' === $_GET['notification'] || $wpdbbkp_bg_notify=='create') {
							$backup_list = get_option('wp_db_backup_backups');
							$download_backup = end($backup_list);
							if($download_backup && !empty($download_backup))
							{ $backup_link = '<a href="' . esc_url($download_backup['url']) . '" style="color: #21759B;">' . __('Click Here to Download Backup.', 'wpdbbkp') . '</a>';}
							update_option('wpdbbkp_dashboard_notify',false);
							esc_attr_e('Backup Created Successfully. ', 'wpdbbkp');
						} elseif ('restore' === $_GET['notification']) {
							esc_attr_e('Backup Restore Successfully', 'wpdbbkp');
						} elseif ('delete' === $_GET['notification']) {
							esc_attr_e('Backup deleted Successfully', 'wpdbbkp');
						} elseif ('clear_temp_db_backup_file' === $_GET['notification']) {
							esc_attr_e('Clear all old/temp database backup files Successfully', 'wpdbbkp');
						} elseif ('Invalid' === $_GET['notification']) {
							esc_attr_e('Invalid Access!!!!', 'wpdbbkp');
						} elseif ('deleteauth' === $_GET['notification']) {
							esc_attr_e('Dropbox account unlink Successfully', 'wpdbbkp');
						} elseif ('save' === $_GET['notification']) {
							esc_attr_e('Backup Setting Saved Successfully', 'wpdbbkp');
						}
			?></h4>
			<?php if ('create' === $_GET['notification']) { ?>
		<h5 class="text-success"><strong><?php echo wp_kses_post($backup_link); ?> </strong></h5>
		<?php } ?>
	</div>
<?php } ?>

<div id="wpdb-backup-process" style="display:none">
	<div class="text-center"><img width="50" height="50" src="<?php echo $loader_gif; ?>">
		<h5 class="text-success"><strong><?php echo esc_html__('Backup process is working in background, it may take some time depending on size of your
				website. You can close this tab if you want', 'wpdbbkp') ?></strong></h5>
		<div class="progress">
			<div id="wpdbbkp_progressbar" class="progress-bar" role="progressbar" aria-valuenow="0" aria-valuemin="0" aria-valuemax="100"
				style="width:0%">
				0%
			</div>
		</div>
		<h4 class="text-success" id="wpdbbkup_process_stats"><?php echo esc_html__('Processing...', 'wpdbbkp') ?></h4>
	</div>
</div>

<div id="backup_process" style="display:none">
	<div class="text-center"><img width="50" height="50" src="<?php echo $loader_gif; ?>">
		<h4 class="text-success" id="wpdbbkup_process_stats"><?php echo esc_html__('Creating Database Backup...', 'wpdbbkp') ?></h4>
		<h5 class="text-success"><strong><?php echo esc_html__('It may take some time depending on size of your
				Database. Do not close this window.', 'wpdbbkp') ?></strong></h5>
	</div>
</div>